Subject: Re: [Spasm] Erratum 4988

From: Jacob Hoffman-Andrews <[email-masked]>
Date: Wed, 31 May 2017 17:39:13 -0700

Hi Phillip,

Did you see this earlier mail from me? I think at least the "is not
empty" should be fixed before we submit a ballot to CA/Browser Forum.
Ideally I'd like to land the simpler language I proposed, but I'd be
fine with your offered text if we add the missing "is not empty."

On 04/05/2017 12:43 PM, Jacob Hoffman-Andrews wrote:
> https://www.rfc-editor.org/errata_search.php?eid=4988
>
> Rob Stradling said:
>> 2. Bug?: Shouldn't this...
>>   o  If A(X) is not null, and CAA(A(X)), then R(X) =
>>      CAA(X), otherwise
>>
>> ...actually be this...
>>
>>   o  If A(X) is not null, and CAA(A(X)), then R(X) =
>>      CAA(A(X)), otherwise
> A further edit: "and CAA(A(X))" should be "and CAA(A(X)) is not empty"
>
> Also, did you see my earlier suggestion on the list? I think now that we
> aren't tree-climbing on CNAME targets, we can express this algorithm in
> a more straightforward way that emphasizes its similarity to how other
> DNS records are looked up:
>
> ----- Proposal -----
>    Let CAA(X) be the record set returned by performing a CAA record
> query on the domain name X, according to the name server lookup
> algorithm specified in RFC 1034 section 4.3.2 (in particular including
> CNAME responses). Let P(X) be the domain name produced by removing the
> leftmost label of X.
>
>  - If CAA(X) contains any CAA resource records, R(X) = CAA(X), otherwise
>  - If P(X) is the root domain '.', then R(X) is empty, otherwise
>  - R(X) = R(P(X))
>
> ----- End proposal -----